Open Lighting Architecture: ola::acn::BaseInflator Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | Friends | List of all members
ola::acn::BaseInflator Class Referenceabstract
Inheritance diagram for ola::acn::BaseInflator:

## Public Member Functions
| BaseInflator (PDU::vector_size v_size=PDU::FOUR_BYTES)
bool | AddInflator (InflatorInterface *inflator)
class InflatorInterface * | GetInflator (uint32_t vector) const
virtual unsigned int | InflatePDUBlock (HeaderSet *headers, const uint8_t *data, unsigned int len)
Public Member Functions inherited from ola::acn::InflatorInterface
virtual uint32_t | Id () const =0

## Static Public Attributes
static const uint8_t | LFLAG_MASK = 0x80
static const uint8_t | LENGTH_MASK = 0x0F

## Protected Member Functions
virtual void | ResetPDUFields ()
virtual void | ResetHeaderField ()=0
bool | DecodeLength (const uint8_t *data, unsigned int data_length, unsigned int *pdu_length, unsigned int *bytes_used) const
bool | DecodeVector (uint8_t flags, const uint8_t *data, unsigned int length, uint32_t *vector, unsigned int *bytes_used)
virtual bool | DecodeHeader (HeaderSet *headers, const uint8_t *data, unsigned int len, unsigned int *bytes_used)=0
bool | InflatePDU (HeaderSet *headers, uint8_t flags, const uint8_t *data, unsigned int pdu_len)
virtual bool | PostHeader (uint32_t vector, const HeaderSet &headers)
virtual bool | HandlePDUData (uint32_t vector, const HeaderSet &headers, const uint8_t *data, unsigned int pdu_len)

## Protected Attributes
uint32_t | m_last_vector
bool | m_vector_set
PDU::vector_size | m_vector_size
std::map< uint32_t, InflatorInterface * > | m_proto_map

## Friends
class | BaseInflatorTest

## Member Function Documentation

## ◆ InflatePDUBlock()

unsigned int ola::acn::BaseInflator::InflatePDUBlock | ( | HeaderSet * | headers,
|  | const uint8_t * | data,
|  | unsigned int | len )
| virtual

Implements ola::acn::InflatorInterface.

## ◆ PostHeader()

bool ola::acn::BaseInflator::PostHeader | ( | uint32_t | vector,
|  | const HeaderSet & | headers )
| protectedvirtual

Reimplemented in ola::acn::RootInflator.

The documentation for this class was generated from the following files:

- libs/acn/BaseInflator.h
- libs/acn/BaseInflator.cpp